Ubuntu

'These windows do not support "save current setup"....' metacity warning when logging in with gdm 2.26

Reported by Max Bowsher on 2009-07-03
446
This bug affects 84 people
Affects Status Importance Assigned to Milestone
gdm
Confirmed
Medium
gdm (Ubuntu)
Medium
Martin Pitt
Karmic
Medium
Martin Pitt

Bug Description

Binary package hint: gdm

When I log in through the new gdm, there is a spurious alert from metacity that gdm-simple-greeter does not support "save current setup".

ProblemType: Bug
Architecture: amd64
Date: Fri Jul 3 21:59:29 2009
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: gdm 2.26.1-0ubuntu2
ProcEnviron:
 LC_COLLATE=C
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-1.14-generic
SourcePackage: gdm
Uname: Linux 2.6.31-1-generic x86_64

Max Bowsher (maxb) wrote :
Jeffrey Baker (jwbaker) on 2009-07-03
Changed in gdm (Ubuntu):
status: New → Confirmed
Sebastien Bacher (seb128) wrote :

the issue needs to be sent to bugzilla.gnome.org by somebody having the bug

Changed in gdm (Ubuntu):
importance: Undecided → Low
Eduard Sanchez Biete (esbiete) wrote :

I've reported to bugzilla.gnome.org (http://bugzilla.gnome.org/show_bug.cgi?id=587732)

Changed in gdm (Ubuntu):
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
status: Confirmed → Triaged

Removing the file "/usr/share/gdm/autostart/LoginWindow/metacity.desktop" solved this bug for me. I don't get any error messages anymore, and gdm works properly.

I can confirm:

sudo mv /usr/share/gdm/autostart/LoginWindow/metacity.desktop \
/usr/share/gdm/autostart/LoginWindow/metacity.desktop.backup

supresses the symptoms, an error message no longer pops up.

tad1073 (tad1073) wrote :

I also can confirm, but with gdm_2.26.1-0ubuntu3_amd64.deb.
Seems that none of the issues I was having were fixed.

Martin Pitt (pitti) wrote :

Removing metacity means that there won't be any window manager any more, i. e. the window for setting accessibility, etc. don't have any decorations. Also, I get a never-ending waiting mouse cursor, probably due to gnome-session waiting for the window manager to appear.

Changed in gdm (Ubuntu Karmic):
assignee: Ubuntu Desktop Bugs (desktop-bugs) → Canonical Desktop Team (canonical-desktop-team)
importance: Low → Medium

Metacity comes up all right on my system even if the file is removed. I
can confirm the cursor behaviour though.

Martin Pitt schreef:
> Removing metacity means that there won't be any window manager any more,
> i. e. the window for setting accessibility, etc. don't have any
> decorations. Also, I get a never-ending waiting mouse cursor, probably
> due to gnome-session waiting for the window manager to appear.
>
> ** Also affects: gdm (Ubuntu Karmic)
> Importance: Low
> Assignee: Ubuntu Desktop Bugs (desktop-bugs)
> Status: Triaged
>
> ** Changed in: gdm (Ubuntu Karmic)
> Assignee: Ubuntu Desktop Bugs (desktop-bugs) => Canonical Desktop Team (canonical-desktop-team)
>
> ** Changed in: gdm (Ubuntu Karmic)
> Importance: Low => Medium
>
>

Martin Pitt (pitti) wrote :

Ruben Verweij [2009-07-07 8:37 -0000]:
> Metacity comes up all right on my system even if the file is removed.

But certainly not in gdm itself, just in your actual user session?

Yes, I think I misunderstood what you were saying earlier. I thought
metacity didn't start in your actual user session too, but I have no
metacity in gdm itself either.

Alfred Chen (alfredchen) wrote :

Confirm this bug on three machines after we have new gdm login windows.

Martin Pitt (pitti) on 2009-07-09
Changed in gdm (Ubuntu Karmic):
assignee: Canonical Desktop Team (canonical-desktop-team) → Martin Pitt (pitti)
status: Triaged → In Progress
ThaBiGGDoGG (thabiggdogg) wrote :

I also have this bug too. Here is a screenshot on what it looks like.

Angel Guzman Maeso (shakaran) wrote :

Please use the link "This bug affect me too" if you have the same
symptoms. Thanks.

I also see this bug in karmic (for all user accounts on the machine). Although I'm not using amd64, just plain old x86

Linux rex 2.6.31-3-generic #18-Ubuntu SMP Tue Jul 14 04:13:36 UTC 2009 i686 GNU/Linux

knarf (launchpad-ubuntu-f) wrote :

This bug also occurs on my T23 (PIII-m -> x86) with current Karmic.

Martin Pitt (pitti) wrote :

thanks, but we really don't need further confirmations. It's pretty
clear why the bug happens, and everyone can reproduce it, it just
needs some time to fix it.
--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

Changed in gdm:
status: Unknown → New
Martin Pitt (pitti) on 2009-07-17
Changed in gdm (Ubuntu Karmic):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gdm - 2.26.1git20090717-0ubuntu1

---------------
gdm (2.26.1git20090717-0ubuntu1) karmic; urgency=low

  * Update to latest upstream git head:
    - Make greeter login window be a dock. Fixes metacity complaining about
      session management. (LP: #395324)
  * Drop patches which are fixed upstream:
    - 00git-greeter-session-management.patch
    - 00git-invalid-dmrc-layout.patch
    - 00git-use-after-free.patch
    - 00git-xklavier4.patch
    - 02_dont_force_us_keyboard.patch
    - 04_polkit1.patch
  * 80_workaround_incorrect_directories.patch: Update to new upstream version.
  * Drop 01_xconfigoptions.patch; these configure variables are not used any
    more in the upstream code, and upstream supplies the X.org -br option by
    default now. Also drop the corresponding configure changes from
    17_update_default_xserver.patch.
  * Apply 15_usplash.patch to debian/gdm.init and drop the patch.
  * 17_update_default_xserver.patch: Update to new upstream version, add
    corresponding configure change, add patch tag header, forward upstream,
    and rename to 02_x_server_location.patch.
  * Drop 99_autoreconf.patch. The only remaining build system change is the
    previous item.
  * Drop 20_xdm-stuff.patch, it's just cruft.
  * Drop debian/Xsession, and change debian/rules to install the upstream one.
  * 01_xrdb_nocpp.patch: Add patch tag header, forward upstream.
  * Rename 80_workaround_incorrect_directories.patch to
    04_fix_external_program_directories.patch and add patch tag header.
  * Rename 81_initial_server_on_vt7.patch to 05_initial_server_on_vt7.patch.
  * debian/rules: Remove /var/gdm (empty and nonstandard) and /var/run (will
    be created at runtime), thanks lintian.
  * debian/copyright: Point to versioned GPL, thanks lintian.
  * debian/gdm.postrm: Use "set -e" to conform to policy.
  * Add debian/xterm.desktop: Reintroduce "failsafe xterm" session.

 -- Martin Pitt <email address hidden> Fri, 17 Jul 2009 11:41:35 +0200

Changed in gdm (Ubuntu Karmic):
status: Fix Committed → Fix Released
Matt Zimmerman (mdz) wrote :

I still see this dialog with gdm 2.26.1git20090717-0ubuntu1

Martin Pitt (pitti) wrote :

Matt Zimmerman [2009-07-18 11:29 -0000]:
> I still see this dialog with gdm 2.26.1git20090717-0ubuntu1

Did you reboot, or restart gdm after the upgrade?

pvdeynse (vandeynse) wrote :

problem is solved for me with gdm 2.26.1git20090717-0ubuntu1

Matt Zimmerman (mdz) wrote :

On Sat, Jul 18, 2009 at 01:52:01PM -0000, Martin Pitt wrote:
> Matt Zimmerman [2009-07-18 11:29 -0000]:
> > I still see this dialog with gdm 2.26.1git20090717-0ubuntu1
>
> Did you reboot, or restart gdm after the upgrade?

I rebooted several times, upgrading a few bits and pieces each time. It's
possible that I got confused as to when I saw the dialog. If no one else
confirms, ignore me.

--
 - mdz

Bhoemen (bhoemen) wrote :

Solved for me too

Sterling work - no more warning message... well done!

Սահակ (petrosyan) on 2009-07-24
Changed in gdm:
status: New → Fix Released
Changed in gdm:
status: Fix Released → Confirmed
Changed in gdm:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.